@charset "UTF-8";

@font-face {
    font-family: 'ServconnectIcons';
    font-style: normal;
    font-weight: 900;
    font-display: block;
    src: url("/assets/fonts/Servconnect3-Icons.woff2") format("woff2");
}



icon {
    font-family: 'servconnectIcons';
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    color: #222222;
    text-align: center;
}

icon > svg {
    position: relative;
    display: block;
    width: 24px;
    fill: #000000;
    stroke-width: 2;
    stroke-color: #000000;
}

body.theme-white icon {
    color: #000000;
}

p icon {
    font-size: 15px;
    color: #333333;
}

*,
h1,
h2,
h3,
h4,
h5,
h6,
a {
    margin: 0;
    padding: 0;
    text-decoration: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
}

*,
::after,
::before {
    box-sizing: border-box
}

:root {
    --accent-color: #eeb717;
    --accent-color-dark: #281e00;
    --accent-color-light: #6876ff;
    --color-red: #de2d2d;
    --color-green: #3dc226;
    --color-orange: #ff9d3b;
    --generic-element-margin: 32px;
}

@media(min-width: 900px) {
    :root {
        --app-height: 100vh;
        --app-border-radius: 0;
    }
}

@media(max-width: 700px) {
    :root {
        --generic-element-margin: 16px;
    }
}

::-moz-selection {
    color: #ffffff;
    background: var(--accent-color);
}

::selection {
    color: #ffffff;
    background: var(--accent-color);
}



body {
    margin: 0;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Inter, "Helvetica Neue", Arial, "Inter", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.25;
    text-align: left;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    background-color: #000000;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
}

body.accessibility-vision-dyslexic {
    font-family: "OpenDyslexic", -apple-system, BlinkMacSystemFont, "Segoe UI", Inter, "Helvetica Neue", Arial, "Inter", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    letter-spacing: -1px;
}

body.theme-white {
    background-color: #ffffff;
}

opac {
    opacity: .6;
}



input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
    appearance: textfield;
}

input,
textarea {
    position: relative;
    display: block;
    width: 100%;
    padding: 2px 8px;
    border-radius: 0px;
    font-size: 15px;
    line-height: 1.25;
    font-family: "Inter", sans-serif;
    color: #000000;
    border: none;
    background: transparent;
    box-shadow: none;
    outline-width: 0px;
    outline-style: none;
    outline-color: transparent;
    -webkit-appearance: none;
    appearance: none;
    cursor: text;
}

body.accessibility-vision-dyslexic input,
body.accessibility-vision-dyslexic textarea {
    font-family: "OpenDyslexic", sans-serif;
}

@media(max-width: 360px) {

    input,
    textarea {
        font-size: 14px;
    }
}

input.f-code {
    font-family: "Source Code Pro", monospace;
}

input:focus,
textarea:focus {
    background: transparent;
    border: none;
}

input::placeholder {
    color: #888888;
    transition: color .3s cubic-bezier(0.3, 0.1, 0.1, 1), ;
}

norm {
    text-transform: none;
}

textarea {
    resize: none;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Inter, "Helvetica Neue", Arial, "Inter", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
}

body.accessibility-vision-dyslexic textarea {
    font-family: "OpenDyslexic", sans-serif;
}

a,
lnk {
    display: inline-block;
    margin: 0;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Inter, "Helvetica Neue", Arial, "Inter", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
    color: var(--accent-color);
    text-decoration: none;
    cursor: pointer;
    margin: 8px 0;
}

body.accessibility-vision-dyslexic a,
body.accessibility-vision-dyslexic lnk {
    font-family: "OpenDyslexic", sans-serif;
}

a:hover,
lnk:hover {
    text-decoration: underline;
}

a:active,
lnk:active {
    opacity: .6;
}

select {
    position: relative;
    display: block;
    width: 100%;
    padding: 2px 8px;
    outline: unset;
    border-radius: 0px;
    font-size: 15px;
    line-height: 1.25;
    font-family: "Inter", sans-serif;
    color: #000000;
    border: unset;
    background: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" style="fill: rgb(100,100,100)" viewBox="0 0 56 56"><path d="M 28 7.2578 C 27.4844 7.2578 26.9688 7.4687 26.4063 7.9375 L 10.6094 20.7578 C 10.2110 21.1094 9.9766 21.6016 9.9766 22.3047 C 9.9766 23.5234 10.8906 24.4375 12.1328 24.4375 C 12.6250 24.4375 13.1406 24.2500 13.6797 23.8281 L 28 12.1562 L 42.3203 23.8281 C 42.8594 24.2500 43.3750 24.4375 43.8906 24.4375 C 45.1094 24.4375 46.0234 23.5234 46.0234 22.3047 C 46.0234 21.6016 45.7890 21.1094 45.3906 20.7578 L 29.5937 7.9140 C 29.0312 7.4687 28.5390 7.2578 28 7.2578 Z M 28 48.7422 C 28.5390 48.7422 29.0312 48.5312 29.5937 48.0859 L 45.3906 35.2422 C 45.7890 34.8906 46.0234 34.3984 46.0234 33.6953 C 46.0234 32.4765 45.1094 31.5391 43.8906 31.5391 C 43.3750 31.5391 42.8594 31.7500 42.3203 32.1718 L 28 43.8437 L 13.6797 32.1718 C 13.1406 31.7500 12.6250 31.5391 12.1328 31.5391 C 10.8906 31.5391 9.9766 32.4765 9.9766 33.6953 C 9.9766 34.3984 10.2110 34.8906 10.6094 35.2422 L 26.4063 48.0625 C 26.9688 48.5312 27.4844 48.7422 28 48.7422 Z"/></svg>');
    background-repeat: no-repeat;
    background-position-x: calc(100% - -2px);
    background-position-y: 3px;
}

select:disabled {
    opacity: 1;
}

body.accessibility-vision-dyslexic select {
    font-family: "OpenDyslexic", sans-serif;
}

@media(max-width: 360px) {
    select {
        font-size: 14px;
    }
}

body.theme-white select {
    color: #000000;
}




h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
eh1,
eh2,
eh3,
eh4,
eh5,
eh6 {
    font-family: "Inter", sans-serif;
    margin: 0;
    letter-spacing: 0.25px;
    line-height: 1.25;
    cursor: default;
}

body.accessibility-vision-dyslexic h1,
body.accessibility-vision-dyslexic h2,
body.accessibility-vision-dyslexic h3,
body.accessibility-vision-dyslexic h4,
body.accessibility-vision-dyslexic h5,
body.accessibility-vision-dyslexic h6,
body.accessibility-vision-dyslexic .h1,
body.accessibility-vision-dyslexic .h2,
body.accessibility-vision-dyslexic .h3,
body.accessibility-vision-dyslexic .h4,
body.accessibility-vision-dyslexic .h5,
body.accessibility-vision-dyslexic .h6,
body.accessibility-vision-dyslexic eh1,
body.accessibility-vision-dyslexic eh2,
body.accessibility-vision-dyslexic eh3,
body.accessibility-vision-dyslexic eh4,
body.accessibility-vision-dyslexic eh5,
body.accessibility-vision-dyslexic eh6 {
    font-family: "OpenDyslexic", sans-serif;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0 0 2px 0;
}

h6 {
    font-size: 15px;
    font-weight: 550;
}

h5 {
    font-size: 18px;
    font-weight: 500;
}

h4 {
    font-size: 20px;
    font-weight: 500;
}


h3 {
    font-size: 24px;
    font-weight: 600;
}

h2 {
    font-size: 28px;
    font-weight: 600;
}

h1 {
    font-size: 32px;
    font-weight: 600;
}


p,
slink,
span {
    position: relative;
    margin-top: 0;
    font-size: 14px;
    cursor: default;
    font-weight: 400;
}




h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    color: #101010;
}


body.sc-dark h1,
body.sc-dark h2,
body.sc-dark h3,
body.sc-dark h4,
body.sc-dark h5,
body.sc-dark h6,
body.sc-dark .h1,
body.sc-dark .h2,
body.sc-dark .h3,
body.sc-dark .h4,
body.sc-dark .h5,
body.sc-dark .h6 {
    color: #f0f0f0;
}

body p,
body span {
    color: #505050;
}



body.theme-white h1,
body.theme-white h2,
body.theme-white h3,
body.theme-white h4,
body.theme-white h5,
body.theme-white h6,
body.theme-white .h1,
body.theme-white .h2,
body.theme-white .h3,
body.theme-white .h4,
body.theme-white .h5,
body.theme-white .h6 {
    color: #000000;
}

body.theme-white p {
    color: #333333;
}



slink {
    color: #808080;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    pointer-events: none;
}

slink.a {
    pointer-events: all;
    color: var(--accent-color);
}

slink > p {
    position: relative;
    color: #808080;
    display: inline-block;
    white-space: nowrap;
    cursor: pointer;
    margin: 0;
    padding: 0;
    font-size: 15px;
}

slink > p:not(:first-child):not(:last-child) {
    line-height: 1.4;
}

slink.a:not(.d) > p {
    color: var(--accent-color);
}

slink.a:not(.d).delete > p {
    color: #cc3434;
}

slink.a:not(.d):hover > p {
    text-decoration: underline;
}

slink.a:not(.d):active > p {
    color: var(--accent-color-dark);
}

slink.a:not(.d).delete:active > p {
    color: #9a1616;
}

slink > icon {
    position: relative;
    display: block;
    width: 17px;
    height: 19px;
    font-size: 17px;
    margin: 0 4px 0 0;
    color: #808080;
}

slink.a:not(.d) > icon {
    color: var(--accent-color);
}

slink.a:not(.d):active > icon {
    color: var(--accent-color-dark);
}

slink.more::after {
    position: relative;
    color: var(--accent-color);
    content: 'chevron_right';
    font-family: "ServconnectIcons";
    font-size: 15px;
    display: inline-block;
    vertical-align: bottom;
    padding: 2px 0 0 0;
}

code {
    position: relative;
    font-family: 'Source Code Pro', monospace;
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
    color: #0a0a0a;
    font-size: 14px;
    max-width: 100%;
    -moz-user-select: unset;
    -webkit-user-select: unset;
    user-select: unset;
    -webkit-tap-highlight-color: unset;
}

code::-moz-selection {
    color: var(--accent-color);
    background: rgba(0, 0, 0, .1);
}

code::selection {
    color: var(--accent-color);
    background: rgba(0, 0, 0, .1);
}

@media(prefers-color-scheme:dark) {
    code {
        position: relative;
        font-family: 'Source Code Pro', monospace;
        white-space: normal;
        color: #f0f0f0;
    }

    code::-moz-selection {
        background: rgba(255, 255, 255, .1);
    }

    code::selection {
        background: rgba(255, 255, 255, .1);
    }
}


button {
    position: relative;
    display: inline-block;
    outline: unset;
    box-shadow: unset;
    border: unset;
    font-family: "Inter", sans-serif;
    font-size: 17px;
    font-weight: 500;
    background: transparent;
    border-radius: 10px;
    padding: 10px 16px;
    color: #ffffff;
    background: var(--accent-color);
    cursor: pointer;
    overflow: hidden;
}


body.accessibility-vision-dyslexic button {
    font-family: "OpenDyslexic", sans-serif;
}

button:active::before {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    content: '';
    background: rgba(0, 0, 0, .15);
}



button.grey.delete,
slink.delete,
slink.delete > p,
finput.b.delete p,
finput.b.delete icon,
actionsentry.delete icon,
actionsentry.delete p,
imagegrid multisel entry.delete icon,
imagegrid multisel entry.delete p,
sbutton.delete:not(.highlight) > content > p {
    color: #cc3434;
}



actionsentry.d {
    pointer-events: none;
    opacity: .5;
}

actionsentry.d h6,
actionsentry.d p,
actionsentry.d icon {
    color: #666666;
}



button.delete:not(.grey) {
    background: var(--color-red);
    border: 1px solid var(--color-red);
    color: #111111;
}

button.delete:not(.grey):hover {
    background: var(--color-red);
    border: 1px solid var(--color-red);
}

button.delete:not(.grey):active {
    background: var(--color-red);
    border: 1px solid var(--color-red);
}

p.delete {
    color: var(--color-red);
}

p.warning {
    color: #e38043;
}

a.delete,
a.red {
    color: var(--color-red);
}

a.disabled {
    color: #8e8e8e;
    pointer-events: none;
}